<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
      package="jp.sourceforge.nicoro"
      android:versionCode="19"
      android:versionName="0.0.19"
      android:installLocation="auto">
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="com.android.browser.permission.READ_HISTORY_BOOKMARKS" />
    <uses-feature android:name="android.hardware.camera" android:required="false" />
    <application android:icon="@drawable/icon" android:label="@string/app_name"
                 android:name=".NicoroApplication"
                 >
        <activity android:name=".LoginActivity"
                  android:label="@string/app_name"
                  android:configChanges="keyboard|keyboardHidden|orientation"
                  android:screenOrientation="unspecified"
                  android:launchMode="singleTask"
                  android:theme="@style/Theme.NoBackground"
                  android:windowSoftInputMode="stateUnspecified"
                  >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />
                <data android:scheme="http" />
                <data android:scheme="https" />
                <data android:host="www.nicovideo.jp" />
                <data android:host="nico.ms" />
            </intent-filter>
        </activity>
        
        <activity android:name=".NicoroWebBrowser"
                  android:label="@string/app_name"
                  android:configChanges="keyboard|keyboardHidden|orientation"
                  android:screenOrientation="unspecified"
                  android:launchMode="singleTask"
                  android:theme="@style/Theme.NoBackground"
                  >
            <!-- 
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />
                <data android:scheme="http" />
                <data android:scheme="https" />
                <data android:host="www.nicovideo.jp" />
                <data android:host="nico.ms" />
            </intent-filter>
             -->
        </activity>
        <activity android:name=".NicoroFFmpegPlayer"
                  android:label="@string/app_name"
                  android:configChanges="keyboard|keyboardHidden|orientation"
                  android:screenOrientation="landscape"
                  android:theme="@style/Theme.NoBackground.FullScreen"
                  android:windowSoftInputMode="stateAlwaysHidden"
                  >
        </activity>
        <activity android:name=".NicoroMediaPlayer"
                  android:label="@string/app_name"
                  android:configChanges="keyboard|keyboardHidden|orientation"
                  android:screenOrientation="landscape"
                  android:theme="@style/Theme.NoBackground.FullScreen"
                  android:windowSoftInputMode="stateAlwaysHidden"
                  >
        </activity>
        <activity android:name=".NicoroSwfPlayer"
                  android:label="@string/app_name"
                  android:configChanges="keyboard|keyboardHidden|orientation"
                  android:screenOrientation="landscape"
                  android:theme="@style/Theme.NoBackground.FullScreen"
                  android:windowSoftInputMode="stateAlwaysHidden"
                  >
        </activity>
        <activity android:name=".NicoroJikkyoPlayer"
                  android:label="@string/app_name"
                  android:configChanges="keyboard|keyboardHidden|orientation"
                  android:screenOrientation="landscape"
                  android:theme="@style/Theme.NoBackground.FullScreen"
                  android:windowSoftInputMode="stateAlwaysHidden"
                  >
        </activity>
        <activity android:name=".NicoroConfig"
                  android:label="@string/app_name_config"
                  android:configChanges="keyboard|keyboardHidden|orientation"
                  android:screenOrientation="unspecified"
                  >
        </activity>
        <activity android:name=".NicoroHelp"
                  android:label="@string/app_name"
                  android:configChanges="keyboard|keyboardHidden|orientation"
                  android:screenOrientation="unspecified"
                  >
        </activity>
        <activity android:name=".Bookmarks"
                  android:label="@string/app_name_bookmarks"
                  android:configChanges="keyboard|keyboardHidden|orientation"
                  android:screenOrientation="unspecified"
                  >
        </activity>
        <activity android:name=".RelatedVideoActivity"
                  android:label="@string/app_name"
                  android:configChanges="keyboard|keyboardHidden|orientation"
                  android:screenOrientation="unspecified"
                  >
        </activity>
        <activity android:name=".AccessHistoryActivity"
                  android:label="@string/app_name"
                  android:configChanges="keyboard|keyboardHidden|orientation"
                  android:screenOrientation="unspecified"
                  >
        </activity>
        <service android:name=".VideoCacheService"
                 android:process=":videocache"
                 >
        	<intent-filter>
        		<action android:name="jp.sourceforge.nicoro.IVideoCacheService" />
        	</intent-filter>
        </service>

    </application>
    <uses-sdk android:minSdkVersion="4" />
    <supports-screens
    	android:smallScreens="true"
    	android:normalScreens="true"
    	android:largeScreens="true"
    	android:anyDensity="true"
    	/>

</manifest> 